Description

This is a puzzler and no mistake.

The left/right arrow buttons next to the layer property box tabs aren't working in our Mac build.

This build uses Qt 5.11.2 with the macOS 10.13 SDK (Xcode 9).

They do work in a new build using Qt 5.12 beta with the macOS 10.14 SDK (Xcode 10).
They also appear to work in a build using Qt 5.11.2 with macOS 10.14 SDK (Xcode 10).

So it looks as if the common problem is the platform SDK version. But I don't want to switch to the newer SDK until Qt officially
supports it, which won't be until Qt 5.12 goes out of beta. This might happen in as little as a month, but I also don't really want to
switch & then release without more testing in between.

History
#1 - 2018-11-28 01:58 PM - Chris Cannam

Yep, two consecutive builds on the same machine with the same version of Qt (5.11.2):

    -  link /Applications/Xcode.app to Xcode 9 - buttons fail to work
    -  link /Applications/Xcode.app to Xcode 10 - buttons work

#2 - 2018-12-19 09:21 AM - Chris Cannam

Rebuilt using Qt 5.12 and Xcode 10 for the release.

#3 - 2018-12-19 09:21 AM - Chris Cannam
- Status changed from New to Closed
